---

#! jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_memory: 2G
need_cpu: 2
kernel-selftests:
  group: group-01
kernel_cmdline: kvm-intel.unrestricted_guest=0
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
submit_id: 659f7ee6698c9b084a557108
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-01-debian-12-x86_64-20220629.cgz-27c53ce7ba0a-20240111-67658-19rsftw-0.yaml"
id: 92101efb1f1ca3b048bc006c87f8a7391d5cf993
queuer_version: "/zday/lkp"

#! /db/releases/20240108091217/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240108091217/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240108091217/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240108091217/lkp-src/include/queue/cyclic
commit: 27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1

#! /db/releases/20240108091217/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'

#! /db/releases/20240108091217/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- DAMON: y
- DAMON_VADDR: y
- DAMON_PADDR: y
- DAMON_DBGFS: y
- DAMON_SYSFS: y
- DAMON_LRU_SORT: y
- DAMON_RECLAIM: y
- SECURITY_PATH: y
- SECURITY_LANDLOCK: y
- UDMABUF: y
- DMABUF_HEAPS: y
- DMABUF_HEAPS_SYSTEM: y
- BTRFS_FS: m
- CHECKPOINT_RESTORE: y
- DRM_DEBUG_SELFTEST: m
- EFIVAR_FS: y
- EXPERT: y
- LEDS_CLASS_MULTICOLOR: y
- GPIOLIB: y
- GPIO_CDEV: y
- GPIO_MOCKUP: m
- GPIO_SIM: m
- IMA: y
- IMA_APPRAISE: y
- IMA_ARCH_POLICY: y
- IR_IMON_DECODER: m
- IR_SHARP_DECODER: m
- LIRC: y
- LKDTM: y
- SECURITYFS: y
- TEST_BITMAP
- TEST_KMOD: m
- TEST_LKM: m
- TEST_PRINTF
- TUN: m
- WW_MUTEX_SELFTEST: m
- XFS_FS: m
- DMA_MAP_BENCHMARK: y
- TEST_FPU: m
- IOMMUFD
- IOMMUFD_TEST: y
- DEBUG_KERNEL: y
- FAULT_INJECTION: y
- FPROBE: y
rootfs: debian-12-x86_64-20220629.cgz
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-01-11 13:38:46.940747519 +08:00
_id: 659f7ee6698c9b084a557108
_rt: "/result/kernel-selftests/group-01/lkp-csl-d01/debian-12-x86_64-20220629.cgz/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1"
compiler: gcc-12
head_commit: a6cd105916186eaba4eaf86fa6307acf026259bf
base_commit: 610a9b8f49fbcf1100716370d3b5f6f884a2835a
branch: linux-devel/devel-hourly-20240108-014319

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240110-164818"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20220629.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/group-01/lkp-csl-d01/debian-12-x86_64-20220629.cgz/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1/vmlinuz-6.7.0-rc4-00145-g27c53ce7ba0a
- branch=linux-devel/devel-hourly-20240108-014319
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-01-debian-12-x86_64-20220629.cgz-27c53ce7ba0a-20240111-67658-19rsftw-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1
- kvm-intel.unrestricted_guest=0
- nmi_watchdog=0
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20220629.cgz/run-ipconfig_20221125.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/lkp_20221125.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/rsync-rootfs_20221125.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/kernel-selftests_20230329.cgz,/osimage/pkg/debian-12-x86_64-20220629.cgz/kernel-selftests-x86_64-60acb023-1_20230329.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/hw_20230326.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240108091217/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-01-debian-12-x86_64-20220629.cgz-27c53ce7ba0a-20240111-67658-19rsftw-0.cgz"
last_kernel: 6.7.0-rc4-00144-g6d1014676ad3
acpi_rsdp: ''

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1/vmlinuz-6.7.0-rc4-00145-g27c53ce7ba0a"
result_root: "/result/kernel-selftests/group-01/lkp-csl-d01/debian-12-x86_64-20220629.cgz/x86_64-rhel-8.3-kselftests/gcc-12/27c53ce7ba0a1979d6593d8ae5cc1f12bac1b2e1/0"

#! /cephfs/db/releases/20240110223856/lkp-src/include/site/inn
dequeue_time: 2024-01-11 14:22:04.283734979 +08:00
job_state: finished
loadavg: 2.75 3.17 1.87 2/453 46862
start_time: '1704954274'
end_time: '1704954901'
version: "/lkp/lkp/.src-20240110-164908:b81e637aba04:cd3d18de5ac5"
